moban

https://github.com/moremoban/moban/ and friends

Top level builds needed before any packages will work:

- python-rpm-macros
- lml (python moban plugin library)

python-rpm-macros is disabled for openSUSE builds, but used for the others, as it provides %python_subpackages needed for %python_files . However %python_subpackages uses %_specfile , which is also missing on non-openSUSE platforms, and causes the Fedora failures.

lml on Leap 42.3 fails with

python_exec: invalid option -- '.'
error: Unknown option . in python_exec(abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789-=)

and

File must begin with "/": BSD-3-License
File must begin with "/": LICENSE

Mageia_Cauldron fails to build anything because of missing libicu62; even https://build.opensuse.org/package/show/home:jayvdb:nodejs/icu

lml fails on redhat based distros with "nothing provides python3-setuptools, nothing provides python-mock, nothing provides python3-mock, nothing provides python3-nose" , which suggests its native packages have different prefixes e.g. python-/python2-/python3-.

Name Changed
Comments for home:jayvdb:moban 0